POST api/FawryPayment/PurchaseUpdates
Request Information
URI Parameters
None.
Body Parameters
FawryPayPaymentStatusResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| requestId | string |
None. |
|
| fawryRefNumber | string |
None. |
|
| merchantRefNumber | string |
None. |
|
| customerName | string |
None. |
|
| customerMobile | integer |
None. |
|
| customerMail | string |
None. |
|
| customerMerchantId | string |
None. |
|
| paymentAmount | decimal number |
None. |
|
| orderAmount | decimal number |
None. |
|
| fawryFees | decimal number |
None. |
|
| orderStatus | string |
None. |
|
| paymentMethod | string |
None. |
|
| orderExpiryDate | integer |
None. |
|
| messageSignature | string |
None. |
|
| packageType | string |
None. |
|
| accountId | integer |
None. |
|
| userId | integer |
None. |
|
| expiryDate | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"requestId": "sample string 1",
"fawryRefNumber": "sample string 2",
"merchantRefNumber": "sample string 3",
"customerName": "sample string 4",
"customerMobile": 5,
"customerMail": "sample string 6",
"customerMerchantId": "sample string 7",
"paymentAmount": 8.0,
"orderAmount": 9.0,
"fawryFees": 10.0,
"orderStatus": "sample string 11",
"paymentMethod": "sample string 12",
"orderExpiryDate": 13,
"messageSignature": "sample string 14",
"packageType": "sample string 15",
"accountId": 1,
"userId": 1,
"expiryDate": "2026-04-12T18:03:13.1317285+03:00"
}
text/plain, application/octet-stream
Sample:
{"requestId":"sample string 1","fawryRefNumber":"sample string 2","merchantRefNumber":"sample string 3","customerName":"sample string 4","customerMobile":5,"customerMail":"sample string 6","customerMerchantId":"sample string 7","paymentAmount":8.0,"orderAmount":9.0,"fawryFees":10.0,"orderStatus":"sample string 11","paymentMethod":"sample string 12","orderExpiryDate":13,"messageSignature":"sample string 14","packageType":"sample string 15","accountId":1,"userId":1,"expiryDate":"2026-04-12T18:03:13.1317285+03:00"}
application/xml, text/xml
Sample:
<FawryPayPaymentStatusResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Services.Fawry.Models"> <accountId>1</accountId> <customerMail>sample string 6</customerMail> <customerMerchantId>sample string 7</customerMerchantId> <customerMobile>5</customerMobile> <customerName>sample string 4</customerName> <expiryDate>2026-04-12T18:03:13.1317285+03:00</expiryDate> <fawryFees>10</fawryFees> <fawryRefNumber>sample string 2</fawryRefNumber> <merchantRefNumber>sample string 3</merchantRefNumber> <messageSignature>sample string 14</messageSignature> <orderAmount>9</orderAmount> <orderExpiryDate>13</orderExpiryDate> <orderStatus>sample string 11</orderStatus> <packageType>sample string 15</packageType> <paymentAmount>8</paymentAmount> <paymentMethod>sample string 12</paymentMethod> <requestId>sample string 1</requestId> <userId>1</userId> </FawryPayPaymentStatusResponse>
multipart/form-data, application/form-data
Sample:
<FawryPayPaymentStatusResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Services.Fawry.Models"><accountId>1</accountId><customerMail>sample string 6</customerMail><customerMerchantId>sample string 7</customerMerchantId><customerMobile>5</customerMobile><customerName>sample string 4</customerName><expiryDate>2026-04-12T18:03:13.1317285+03:00</expiryDate><fawryFees>10</fawryFees><fawryRefNumber>sample string 2</fawryRefNumber><merchantRefNumber>sample string 3</merchantRefNumber><messageSignature>sample string 14</messageSignature><orderAmount>9</orderAmount><orderExpiryDate>13</orderExpiryDate><orderStatus>sample string 11</orderStatus><packageType>sample string 15</packageType><paymentAmount>8</paymentAmount><paymentMethod>sample string 12</paymentMethod><requestId>sample string 1</requestId><userId>1</userId></FawryPayPaymentStatusResponse>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ObjectNone.
Response Formats
application/json, text/json, text/plain, application/octet-stream
Sample:
{}
application/xml, text/xml, multipart/form-data, application/form-data
Sample:
<z:anyType xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:z="http://schemas.microsoft.com/2003/10/Serialization/" />